"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractBoltSession = void 0;
const parse_result_1 = require("../parse_result");
class AbstractBoltSession {
    parseRecords(records, options) {
        const parsedRecords = records.map((record) => (0, parse_result_1.parseNeo4jResult)(record, options.stringFormatter));
        if (options.singularOutput) {
            if (parsedRecords.length === 1) {
                return parsedRecords[0];
            }
            else {
                throw new Error(`${parse_result_1.parseNeo4jResult.length} records returned in signular mode`);
            }
        }
        return parsedRecords;
    }
}
exports.AbstractBoltSession = AbstractBoltSession;
//# sourceMappingURL=bolt_abstract.js.map