"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logQuery = void 0;
const Logger = __importStar(require("console"));
const fs_1 = require("fs");
const __1 = require("..");
function logQuery(query, duration, options) {
    const shortQuery = getDisplayableQuery(query);
    const logFn = options.isError ? Logger.error : Logger.log;
    const date = (new Date()).toString();
    const errorMessage = options.isError ? "ERROR: " : "";
    const screenMessage = `${errorMessage}${shortQuery} in ${duration}ms`;
    const fileMessage = `${date}: ${errorMessage}${duration}ms\n\t${query}\n`;
    const logAll = options.logLevel === __1.LogLevel.ALL;
    const logError = options.logLevel === __1.LogLevel.ERROR && options.isError;
    if (logAll || logError) {
        logFn(screenMessage);
        fs_1.promises.writeFile("neo4j.log", fileMessage, { flag: "a" });
    }
}
exports.logQuery = logQuery;
function getDisplayableQuery(query) {
    const QUERY_LENGTH = 100;
    const despacedQuery = query.replace(/\s+/g, " ");
    const shortQuery = despacedQuery.substr(0, QUERY_LENGTH)
        + (despacedQuery.length <= QUERY_LENGTH ? "" : " ...");
    return shortQuery;
}
//# sourceMappingURL=logger.js.map